Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4442250

method added to javax.sql.PooledConnection breaks J2EE compatibility

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: 1.4.0
    • Fix Version/s: 1.4.0
    • Component/s: core-libs
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      beta
    • CPU:
      generic
    • OS:
      generic

      Description

      A method, closeAll(), was added to the javax.sql.PooledConnection interface in JDBC 3.0. As the javax.sql package has moved into the jdk for merlin this breaks J2EE compatibility.

      J2EE releases must run on two current JDK releases, in this case 1.3.1 and 1.4. If the version of a file differs between two versions signature tests will fail.

      Consequently the method must be removed.

      jon.ellis@Eng 2001-04-12

        Attachments

          Activity

            People

            • Assignee:
              jellissunw Jon Ellis (Inactive)
              Reporter:
              jellissunw Jon Ellis (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Imported:
                Indexed: